/* ***** BEGIN LICENSE BLOCK *****
 *
 * Copyright (c) 2009-2011 Yohan Lasorsa, INRIA <http://wam.inrialpes.fr/>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * ***** END LICENSE BLOCK ***** */

//
//  AMSpawnControl.h
//  aria
//
//  Created by Yohan Lasorsa on 12/08/09.
//  Copyright 2009 INRIA, Team WAM. All rights reserved.
//

#import "AMControl.h"
#import <Foundation/Foundation.h>


/* Constants of attributes names */
static const NSString *const AM_SPAWN_CONTROL_ATTRIBUTE_MAX_INSTANCES = @"maxInstances";

/** Attributes of the control. */
enum AMSpawnControlAttributes {
	AM_SPA_MAX_INSTANCES = 0
};


/**
 Controls the maximum number of instances of the parent.
 */
@interface AMSpawnControl : AMControl {
	// Controls attributes
	int maxInstances;
}

/**
 The maximum number of instances allowed for the parent element.
 Default value is -1, which means unlimited instances are allowed.
 */
@property (nonatomic) int maxInstances;

@end
