/* ***** BEGIN LICENSE BLOCK *****
 *
 * Copyright (c) 2009-2011 Yohan Lasorsa, INRIA <http://wam.inrialpes.fr/>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * ***** END LICENSE BLOCK ***** */

//
//  AMSpawnControl.mm
//  aria
//
//  Created by Yohan Lasorsa on 12/08/09.
//  Copyright 2009 INRIA, Team WAM. All rights reserved.
//

#import "AMSpawnControl.h"


@implementation AMSpawnControl

@synthesize maxInstances;

- (id)init
{
	if (self = [super init]) {
		self.maxInstances = -1;
	}
	return self;
}

- (void)setValue:(id)_value forAttribute:(int)_attribute {
	if (_attribute == AM_SPA_MAX_INSTANCES)
		self.maxInstances = [_value floatValue];
}

- (id)valueOfAttribute:(int)_attribute {
	if (_attribute == AM_SPA_MAX_INSTANCES)
		return [NSNumber numberWithFloat:self.maxInstances];
	return nil;
}

- (int)attributeCode:(NSString *)_attribute {
	if ([AM_SPAWN_CONTROL_ATTRIBUTE_MAX_INSTANCES isEqual:_attribute])
		return AM_SPA_MAX_INSTANCES;
	return -1;
}

@end
