/* ***** BEGIN LICENSE BLOCK *****
 *
 * Copyright (c) 2009-2011 Yohan Lasorsa, INRIA <http://wam.inrialpes.fr/>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * ***** END LICENSE BLOCK ***** */

//
//  AMAnimationInstance.h
//  aria
//
//  Created by Yohan on 11/08/10.
//  Copyright 2010 INRIA, Team WAM. All rights reserved.
//

#import "AMInstance.h"
#import "AMPlayable.h"
#import "AMAnimation.h"
#import <Foundation/Foundation.h>


// to avoid import loop errors
@class AMAnimation;

@interface AMAnimationInstance : AMInstance <AMPlayable> {
	// Internal variables
	AMControl *control;
	int attributeType;
	
	NSNumber *originalValue;
	NSNumber *baseValue;
	NSNumber *endValue;
	float currentValue;
	BOOL isPlaying;
	double startedTime;
	double endingTime;
	int currentRepetition;
	double currentDur;
}


/**
 Performs the attribute value animation, based on the given current time.
 @param currentTime The current time in seconds, based on the scheduler time base.
 */
- (void)animate:(double)_currentTime;

@end
