/* ***** BEGIN LICENSE BLOCK *****
 *
 * Copyright (c) 2009-2011 Yohan Lasorsa, INRIA <http://wam.inrialpes.fr/>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * ***** END LICENSE BLOCK ***** */

//
//  AMChunkListener.h
//  aria
//
//  Created by Yohan Lasorsa on 18/08/09.
//  Copyright 2009 INRIA, Team WAM. All rights reserved.
//

#import "AMChunk.h"
#import <Foundation/Foundation.h>


// to avoid import loop errors
@class AMChunk;

/**
 The chunk events that may be triggered.
 */
enum AMChunkEventType {
	AM_CHK_STARTED = 0,				// The chunk started
	AM_CHK_STOPPED,					// The chunk was stopped
	AM_CHK_ENDED					// The chunk ended
};

/**
 Provides a protocol for receiving events from chunk objects.
 */
@protocol AMChunkListener

/**
 Receives a event from a chunk objet.
 @param chunk The chunk that triggered the event.
 @param type The type of the event that was triggered.
 @param data Optional data that may be transmitted with the event.
 */
- (void)chunkUpdate:(AMChunk *)_chunk eventType:(int)_type eventData:(void *)_data;

@end
