/* ***** BEGIN LICENSE BLOCK *****
 *
 * Copyright (c) 2009-2011 Yohan Lasorsa, INRIA <http://wam.inrialpes.fr/>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * ***** END LICENSE BLOCK ***** */

//
//  InfoViewController.mm
//  aria
//
//  Created by Yohan on 06/07/10.
//  Copyright 2010 INRIA, Team WAM. All rights reserved.
//

#import "InfoViewController.h"


@implementation InfoViewController

// Default html page
- (void)setDefaultInfo
{
	infosStr = [NSString stringWithString:@"<html><head><meta name=\"viewport\" content=\"width=device-width\"></head><body><br><br><br><br><div align=\"center\"><h3>Please select a document first.</h3></div></body></html>"];	
}

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
	
	// init infoStr if not done
	if (infosStr == nil) {
		[self setDefaultInfo];
		[infosStr retain];
	}	
	[webView loadHTMLString:infosStr baseURL:[NSURL fileURLWithPath:[[NSBundle mainBundle] bundlePath]]];
	
    [super viewDidLoad];
}

- (void)dealloc {
	[infosStr release];
	
    [super dealloc];
}

- (void)updateInfos:(NSString *)infos
{
	[infosStr release];
	
	if (infos) 
		infosStr = infos;
	else
		[self setDefaultInfo];	
	
	[infosStr retain];
	
	[webView loadHTMLString:infosStr baseURL:[NSURL fileURLWithPath:[[NSBundle mainBundle] bundlePath]]];
}

@end
