/* ***** BEGIN LICENSE BLOCK *****
 *
 * Copyright (c) 2009-2011 Yohan Lasorsa, INRIA <http://wam.inrialpes.fr/>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * ***** END LICENSE BLOCK ***** */

//
//  PlaygroundViewController.h
//  aria
//
//  Created by Yohan on 06/07/10.
//  Copyright 2010 INRIA, Team WAM. All rights reserved.
//

#import "aria.h"
#import "TrackpadButton.h"
#import <UIKit/UIKit.h>


@interface PlaygroundViewController : UIViewController {
	// User interface elements
	UIBarButtonItem *playButton;
	UIBarButtonItem *pauseButton;
	UIBarButtonItem *stopButton;
	UIButton *pad1Button;
	UIButton *pad2Button;
	UIButton *pad3Button;
	UIButton *pad4Button;
	UISlider *slider;
	UIButton *trackpadButton;
	UILabel *timeLabel;
	UILabel *lastEventLabel;
	
	// Audio interfaces
	AMScheduler *scheduler;
	NSNotificationCenter *eventCenter;
	
	// Misc internal vars
	NSTimer *refreshTimer;
}

@property (nonatomic, retain) IBOutlet UIBarButtonItem *playButton;
@property (nonatomic, retain) IBOutlet UIBarButtonItem *pauseButton;
@property (nonatomic, retain) IBOutlet UIBarButtonItem *stopButton;
@property (nonatomic, retain) IBOutlet UIButton *pad1Button;
@property (nonatomic, retain) IBOutlet UIButton *pad2Button;
@property (nonatomic, retain) IBOutlet UIButton *pad3Button;
@property (nonatomic, retain) IBOutlet UIButton *pad4Button;
@property (nonatomic, retain) IBOutlet UISlider *slider;
@property (nonatomic, retain) IBOutlet UIButton *trackpadButton;
@property (nonatomic, retain) IBOutlet UILabel *timeLabel;
@property (nonatomic, retain) IBOutlet UILabel *lastEventLabel;


// UI elements callbacks
- (IBAction)playButtonPressed;
- (IBAction)pauseButtonPressed;
- (IBAction)stopButtonPressed;
- (IBAction)padPressed:(UIButton *)sender;
- (IBAction)padRelessed:(UIButton *)sender;
- (IBAction)sliderValueChanged:(UISlider *)sender;
- (IBAction)trackpadDown:(TrackpadButton *)sender;

@end
