/* ***** BEGIN LICENSE BLOCK *****
 *
 * Copyright (c) 2009-2011 Yohan Lasorsa, INRIA <http://wam.inrialpes.fr/>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * ***** END LICENSE BLOCK ***** */

//
//  RootViewController.h
//  aria
//
//  Created by Yohan on 08/07/10.
//  Copyright 2010 INRIA, Team WAM. All rights reserved.
//

#import "DocumentTableViewController.h"
#import "PlaygroundViewController.h"
#import "InfoViewController.h"
#import <UIKit/UIKit.h>


// to avoid import loop errors
@class DocumentTableViewController;

// The mother of all view controllers :-)
@interface RootViewController : UITabBarController {
	// Other main controllers
	DocumentTableViewController *documentTableViewController;
	PlaygroundViewController *playgroundViewController;
	InfoViewController *infoViewController;
}

@property (nonatomic, retain) IBOutlet DocumentTableViewController *documentTableViewController;
@property (nonatomic, retain) IBOutlet PlaygroundViewController *playgroundViewController;
@property (nonatomic, retain) IBOutlet InfoViewController *infoViewController;

@end
